Package org.apache.sling.models.spi.injectorspecific

# Interface InjectAnnotationProcessor

All Known Subinterfaces:
  `InjectAnnotationProcessor2`

All Known Implementing Classes:
  `AbstractInjectAnnotationProcessor`, `AbstractInjectAnnotationProcessor2`

@Deprecated @ConsumerType public interface InjectAnnotationProcessor
Deprecated.
Use `InjectAnnotationProcessor2` instead
Processor for injector-specific annotations.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getDefault()`
Deprecated.
Tries to get the default value from the annotation.
`String`
`getName()`
Deprecated.
Tries to get the name value from the annotation.
`String`
`getVia()`
Deprecated.
Tries to get the via value from the annotation.
`boolean`
`hasDefault()`
Deprecated.
`Boolean`
`isOptional()`
Deprecated.
use `InjectAnnotationProcessor2.getInjectionStrategy()` instead

## Method Details

### getName

String getName()
Deprecated.
Tries to get the name value from the annotation.

Returns:
  the value to be used for the name or null, in which case the standard annotation or name derived from method/field should be used

### getVia

String getVia()
Deprecated.
Tries to get the via value from the annotation.

Returns:
  the value to be used for the via or null, in which case the standard annotation should be used

### hasDefault

boolean hasDefault()
Deprecated.

Returns:
  true, if a default value is set

### getDefault

Object getDefault()
Deprecated.
Tries to get the default value from the annotation. Only used if `hasDefault()` is set to true.

Returns:
  the value to be used if nothing can be injected

### isOptional

Boolean isOptional()
Deprecated.
use `InjectAnnotationProcessor2.getInjectionStrategy()` instead
Tries to get the information whether the injection is optional.

Returns:
  the value to be used for the default or null, in which case the standard annotation should be used.